Bug 75662 - All of LibO 4.x hangs if Base is running when switching between video console and RDP session
Summary: All of LibO 4.x hangs if Base is running when switching between video console...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
4.1.3.2 release
Hardware: x86 (IA32) Windows (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Remote
  Show dependency treegraph
 
Reported: 2014-03-02 05:48 UTC by Brolin Empey
Modified: 2019-06-05 02:53 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brolin Empey 2014-03-02 05:48:46 UTC
I use LibreOffice 4.x on Windows 7 Professional for x86-32 on incubus, my primary desktop computer at my residence.  When I am at my residence, I use the video console of incubus.  At my employer’s shop, I use a different desktop computer, succubus, which runs Windows 8 Enterprise RTM for x86-32.  incubus and succubus are both on the same Hamachi Virtual LAN.  When I am at my employer’s shop, I use succubus as an RDP client to control incubus over the Hamachi Virtual LAN.  If only LibreOffice Writer 4.x is running when I switch between using the video console and RDP session, LibreOffice Writer 4.x is still functional after the switch.  However, if LibreOffice Base 4.x is running when I switch between using the video console and RDP session, then all of LibreOffice 4.x hangs after the switch:  the windows of the LibreOffice 4.x applications stop responding, which forces me to terminate LibreOffice 4.x .  I usually have only LibreOffice Writer 4.x running in addition to LibreOffice Base 4.x when switching between the video console and RDP session:  I know that LibreOffice Writer 4.x hangs in addition to LibreOffice Base 4.x if LibreOffice Base 4.x is running when switching but I do not know if other LibreOffice 4.x applications will hang too if LibreOffice Base 4.x is running when switching.  I expect that the other LibreOffice 4.x applications will hang too.  Of those applications, I expect that Calc is most likely for me to leave running in addition to Writer and Base.

I need all of LibreOffice 4.x to remain functional when switching between the video console and RDP session even if LibreOffice Base 4.x is running when switching.  IIRC, I did not have this problem with LibreOffice 3.x but I cannot currently test with LibreOffice 3.x because I no longer have LibreOffice 3.x installed on incubus.

I have some other configuration details that may not be relevant but I will mention them in case they are relevant:

1. Both my residence and my employer’s shop use a Wired LAN (Ethernet over twisted pair cable) using only Ethernet switches, no Ethernet hubs.  Both sites have a Wireless LAN too but both incubus and succubus use only the Wired LAN.  At both sites, the physical Wired LAN and the physical Wireless LAN are a single logical Virtual LAN using a MAC bridge.  At both sites, the wired gateway runs DD-WRT and uses Telus ADSL service for its uplink (to the WAN).

2. Both incubus and succubus are dual-head with a 21-inch Trinitron CRT computer display at 1600×1200 at 85 Hz on the left and a 27-inch Samsung SyncMaster 275T Plus (for incubus) or Samsung SyncMaster 275T (plain 275T, not 275T Plus;  for succubus) at 1920×1200 on the right.  For both incubus and succubus, the CRT is the primary display and the LCD is the secondary display.

3. succubus uses a stock kernel with crippled support for the Physical Address Extension (PAE) capability of the x86 CPU because succubus has only 4 GiB of main memory, which seems to suffice for my usage because succubus usually runs much less at once than incubus.  However, incubus uses an unofficially patched kernel to undo Microsoft’s intentional crippling of the PAE support in the client editions of Windows NT for x86-32 because incubus has 8 GiB of main memory because incubus always runs a lot of software at once, which usually uses more than 4 GiB of physical RAM.  I mention this unofficially patched kernel because the Windows 7 kernel is from Windows 7 RTM but most of the rest of the Windows 7 installation is from Windows 7 SP1.  This unusual software configuration usually seems to work well but Microsoft says that they intentionally crippled the PAE support to limit access to only the first 4 GiB of RAM because some third-party device drivers have not been tested with memory addresses above 4 GiB:  Microsoft says that such faulty device drivers can corrupt memory if the kernel uses the PAE to access more than 4 GiB of RAM.  I guess I should try to test with the stock crippled Windows 7 kernel but rebooting incubus to switch kernels is very inconvenient for me and can be done only when I am physically at my residence.  I cannot use Windows NT for x86-64 because I need specific backward compatibility that only Windows NT for x86-32 provides.

Please tell me if you need any more information from me.
Comment 1 Robert Großkopf 2014-03-02 08:15:12 UTC
Difference between Base and all other parts of LO is the Java-Runtime. So please have a look which JRE is installed on the system.
Comment 2 Brolin Empey 2014-03-02 08:24:16 UTC
(In reply to comment #1)
> Difference between Base and all other parts of LO is the Java-Runtime. So
> please have a look which JRE is installed on the system.

“Microsoft Windows [Version 6.1.7600]
Copyright (c) 2009 Microsoft Corporation.  All rights reserved.

C:\Users\brolin>java -version
java version "1.6.0_31"
Java(TM) SE Runtime Environment (build 1.6.0_31-b05)
Java HotSpot(TM) Client VM (build 20.6-b01, mixed mode, sharing)

C:\Users\brolin>”

Does that answer your question?
Comment 3 Robert Großkopf 2014-03-02 11:12:24 UTC
(In reply to comment #2)
> 
> C:\Users\brolin>java -version
> java version "1.6.0_31"
> Java(TM) SE Runtime Environment (build 1.6.0_31-b05)

This is a very old Java-version. I haven't any Windows-Desktop here, only OpenSUSE Linux. So I don't know if there is much difference. But the actual Version is Java 7_u51: 
http://javadl.sun.com/webapps/download/AutoDL?BundleId=83383

> 
> Does that answer your question?

Yes, that's the missing information.

You could also try to solve it with the earlier version, which worked. You have written it worked with 3.*:
http://downloadarchive.documentfoundation.org/libreoffice/old/3.6.7.2/

I can't confirm this bug, because I haven't such a tricky connection to LO ...
Comment 4 Brolin Empey 2014-04-03 04:32:24 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > 
> > C:\Users\brolin>java -version
> > java version "1.6.0_31"
> > Java(TM) SE Runtime Environment (build 1.6.0_31-b05)
> 
> This is a very old Java-version. I haven't any Windows-Desktop here, only
> OpenSUSE Linux. So I don't know if there is much difference. But the actual
> Version is Java 7_u51: 
> http://javadl.sun.com/webapps/download/AutoDL?BundleId=83383

I upgraded my Java installation to that version but the behaviour of LibreOffice seems to have not changed. ☹

My current Java version:

“C:\Users\brolin>java -version
java version "1.7.0_51"
Java(TM) SE Runtime Environment (build 1.7.0_51-b13)
Java HotSpot(TM) Client VM (build 24.51-b03, mixed mode, sharing)”

Do you have any other suggestion other than using LibreOffice 3.x?  I can still try using LibreOffice 3.x but I prefer to continue using LibreOffice 4.x .
Comment 5 Brolin Empey 2014-04-15 23:09:16 UTC
(In reply to comment #4)
> I upgraded my Java installation to that version but the behaviour of
> LibreOffice seems to have not changed. ☹
> 
> My current Java version:
> 
> “C:\Users\brolin>java -version
> java version "1.7.0_51"
> Java(TM) SE Runtime Environment (build 1.7.0_51-b13)
> Java HotSpot(TM) Client VM (build 24.51-b03, mixed mode, sharing)”
> 
> Do you have any other suggestion other than using LibreOffice 3.x?  I can
> still try using LibreOffice 3.x but I prefer to continue using LibreOffice
> 4.x .

I installed LibreOffice 3.6.7.2 on incubus.  I still have LibreOffice 4.1.3.2 installed on incubus.  I used the video console of incubus to start LibreOffice Writer 4.1.3.2, LibreOffice Calc 4.1.3.2, and LibreOffice Base 3.6.7.2 .  Then I used succubus as an RDP client to control incubus.  After the switch from the video console to the RDP session, Writer and Calc were still functional but Base still stopped responding (hung).

I should try testing in the opposite direction:  use the video console of succubus to start LibreOffice Base, then use incubus as an RDP client to control succubus to test if Base is still functional after the switch.
Comment 6 Alex Thurgood 2015-01-03 17:39:30 UTC Comment hidden (no-value)
Comment 7 Robinson Tryon (qubit) 2015-01-24 10:58:37 UTC
(In reply to Brolin Empey from comment #5)
> I should try testing in the opposite direction:  use the video console of
> succubus to start LibreOffice Base, then use incubus as an RDP client to
> control succubus to test if Base is still functional after the switch.

Hi Brolin,
What's the latest update from your testing?

We've just built 4.4.0.3 rc, which is available from the dev-builds server for testing:
http://dev-builds.libreoffice.org/daily/master/Win-x86@62-TDF/

Status -> NEEDINFO

(Please change status back to UNCONFIRMED after you provide an update. Thanks!)
Comment 8 Brolin Empey 2015-02-24 14:51:54 UTC
(In reply to Robinson Tryon (qubit) from comment #7)
> (In reply to Brolin Empey from comment #5)
> > I should try testing in the opposite direction:  use the video console of
> > succubus to start LibreOffice Base, then use incubus as an RDP client to
> > control succubus to test if Base is still functional after the switch.
> 
> Hi Brolin,
> What's the latest update from your testing?
> 
> We've just built 4.4.0.3 rc, which is available from the dev-builds server
> for testing:
> http://dev-builds.libreoffice.org/daily/master/Win-x86@62-TDF/
> 
> Status -> NEEDINFO
> 
> (Please change status back to UNCONFIRMED after you provide an update.
> Thanks!)

I cannot use Base on succubus due to a lack of a JRE.  I can try to install a JRE but I did not want to because I do not need a JRE for anything else on succubus.

I have upgraded to LibreOffice 4.3.5.2 on incubus.  LibreOffice still hangs if Base is running when switching between using the video console and RDP session.

Is anyone else in my situation?

Status -> UNCONFIRMED
Comment 9 Brolin Empey 2015-06-02 18:33:38 UTC
(In reply to Brolin Empey from comment #8)
> I have upgraded to LibreOffice 4.3.5.2 on incubus.  LibreOffice still hangs
> if Base is running when switching between using the video console and RDP
> session.

Until 2015‑05‑26, I had User Account Control (UAC) enabled on Windows 7 on incubus.  On 2015‑05‑26, I disabled UAC whilst troubleshooting whilst installing CyanogenMod on my new Samsung Galaxy Note 3 handheld computer.  I installed AndrOpenOffice, which is based on Apache OpenOffice, on CyanogenMod.  I discovered that AndrOpenOffice Base seems to not work with my personal contacts database file, contacts.odb .  I installed Apache OpenOffice 4.1.1 , the current release, on incubus because I wanted to check if Apache OpenOffice Base proper works with my contacts.odb file.  It does work but that is not why I am writing this message.  I am writing this message because I discovered that, with UAC disabled on Windows 7 on incubus, Apache OpenOffice Base using my contacts.odb file survives the switch from video console to RDP and back.  LibreOffice Base using my contacts.odb file still hangs when switching from video console to RDP.  I am still using LibreOffice 4.3.5.2 .  I still need to reenable UAC and retest switching between using the video console and an RDP session while LibreOffice Base inclusive-or Apache OpenOffice Base is running.  I guess the hang I am experiencing is caused by something present in LibreOffice but not in Apache OpenOffice?
Comment 10 tommy27 2015-07-13 10:07:57 UTC
try LibreOffice 4.4
a portable release is available here: http://www.winpenpack.com/main/download.php?view.1354

so you don't have to uninstall the 4.3.5 version.

if the portable 4.4 works fine you may consider to upgrade to the standard install version

please give feedback if this fixes things
status NEEDINFO until then
Comment 11 Brolin Empey 2015-08-25 16:14:32 UTC
I have reenabled UAC on incubus.

Both incubus and succubus are now using the same version of the JRE:

“C:\Users\brolin>java -version
java version "1.8.0_45"
Java(TM) SE Runtime Environment (build 1.8.0_45-b15)
Java HotSpot(TM) Client VM (build 25.45-b02, mixed mode)”

Both incubus and succubus are now using the same version of LibreOffice, version 4.4.4.3, installed from “LibreOffice_4.4.4_Win_x86.msi” and “LibreOffice_4.4.4_Win_x86_helppack_en-US.msi”.

I copied my contacts.odb file from incubus to succubus.  LibreOffice Base on both incubus and succubus hangs when switching between video console and RDP session if contacts.odb is open.

I created a new, empty database named test.odb .  LibreOffice Base on both incubus and succubus does not hang when switching between video console and RDP session if only test.odb is open.

I guess my contacts.odb file will be useful for testing but I am hesitant to share this file because it necessarily contains personal information about some of my contacts.

Status -> UNCONFIRMED
Comment 12 Brolin Empey 2015-09-11 05:10:43 UTC
I have installed LibreOffice 5.0.1 and its help for en-US on both incubus and succubus.  On both hosts, the LibreOffice 5.0.1 installation removed my LibreOffice 4.4 installation even though I installed LibreOffice 5 to a different directory than LibreOffice 4 and even though I did not see in the setup wizard any mention of removing previous versions before beginning the installation.  On both hosts, I used a Custom installation;  the only change I made to the default selection of components to install was to prevent the quick starter feature from being installed.  My hardware quick start solution was to clone the hard disc drive (HDD) from which both computers boot and run onto a solid-state drive (SSD) and replace the HDD with the SSD.  The quick starter application software feature may be useful on a computer running from an HDD but the quick starter application software feature seems redundant on a computer running from a fast SSD.  Anyway, I installed LibreOffice 5.0.1 on both incubus (via RDP session) and succubus (via video console) whilst I was still at work, then ran on both hosts LibreOffice Base 5.0.1 and left my contacts.odb file open with the “contacts” table of this database open in the table editor.  No other LibreOffice windows were open.  Then I went home.  On the video console of incubus, both of the LibreOffice windows (main Base window and Base table editor window) were not responding;  I had to terminate LibreOffice.  I used the video console of incubus to connect to succubus via the RDP.  On succubus via RDP session, the result was the same as on incubus.  Tomorrow (Friday) I will complete the test I began today (Thursday) by checking if Base hangs with only contacts.odb and the “contacts” table of this database open when travelling from home to work and back.  After completing that test, the next test is to try the same test but with only test.odb open in LibreOffice Base 5.0.1 .
Comment 13 Brolin Empey 2015-09-11 16:43:21 UTC
I am back at work.  On the video console of succubus, both LibreOffice windows were not responding;  I had to terminate LibreOffice.  After connecting to incubus via the RDP, the result was the same as on succubus.

On both hosts, I have left LibreOffice Base 5.0.1 open with only my test.odb file open.  I cannot leave the table editor open because test.odb does not contain any tables.  I will continue the test with test.odb when I am back at home.
Comment 14 Brolin Empey 2015-09-12 09:29:24 UTC
I am back at home.  On both hosts, Base has survived the switch.
Comment 15 Brolin Empey 2015-09-14 17:43:28 UTC
I am back at work.  On both hosts, Base has survived the switch.
Comment 16 tommy27 2015-09-14 17:51:59 UTC
does this mean that the bug is gone?
Comment 17 Brolin Empey 2015-09-14 19:45:18 UTC
(In reply to tommy27 from comment #16)
> does this mean that the bug is gone?

No.  It means that, with LibreOffice Base, the situation with version 5 is the same as the situation with version 4.x :  Base hangs if contacts.odb is open when switching;  Base survives the switch if only test.odb is open.
Comment 18 tommy27 2015-11-28 08:08:59 UTC
(In reply to Brolin Empey from comment #0)
> ... IIRC, I did not have this problem with LibreOffice 3.x but
> I cannot currently test with LibreOffice 3.x because I no longer have
> LibreOffice 3.x installed on incubus.
> 
> ...

if would be important to be sure if this is a 4.x regression or not.+you can find old LibO 3.x versions here:
https://downloadarchive.documentfoundation.org/libreoffice/old/

or here in portable version:
http://sourceforge.net/projects/winpenpack/files/X-LibreOffice/releases/
Comment 19 jodo 2016-03-04 22:53:17 UTC
I have a similar problem.  If base is running when video changes, soffice.exe hangs waiting on its own child.  If base is not running, but calc and writer are running, they survive the video change.

Video changes include: connecting or disconnecting second display, and sleep-wake.  Sometimes, it survives sleep-wake.

Windows 8.1 on AMD-64 using 32- and 64-bit LibreOffice.  Many versions, up to 5.1.0.3.  I do not remember when this started, but it has probably been at least 2 years.
Comment 20 Buovjaga 2016-03-10 12:54:28 UTC
NEW per comment 19
Comment 21 jodo 2016-04-25 19:52:45 UTC
LibreOfficeDev_5.2.0.0.alpha1_Win_x64 still has the problem
Comment 22 jodo 2016-05-11 04:02:10 UTC
perhaps related: 
in MS Windows, when a monitor is removed, the windows that were on that monitor appear on another monitor.  
Not calc.  When calc is on the removed monitor, it stays on the missing monitor.  That does not cause LO (soffice) to hang, but makes the calc window inaccessible.
Comment 23 Brolin Empey 2016-11-17 13:53:41 UTC
In 2016 August, the incubus Windows 7 installation, which I had used continuously for over 6 years, partially broke and became firewalled so that it could no longer be accessed from another computer on my LAN at home, never mind from work.  I gave up on trying to fix the breakage and started over with incubus64, a new installation of Windows 10 Enterprise for x86-64 on a new SSD.  With LibreOffice 5.2.2.2 for Win64 (x86-64), the situation with LibreOffice and switching between the video console and RDP session seems to be the same as on incubus.  I am still using the Sun/Oracle JRE.  I installed Apache OpenOffice 4.1.3 for x86-32 because I could not find a Win64 build of Apache OpenOffice.  Apache OpenOffice Base for Win32 could not use the Win64 JRE so I installed the Sun/Oracle JRE for Win32.  With contacts.odb , when I try to switch to Tables in Apache OpenOffice Base, I get the following error message:

The connection to the data source "contacts" could not be established.

SQL Status: S1000
Error code: -40

General error: org.hsqldb.lib.FileSystemRuntimeException: java.io.IOException: C:/build/AOO413/main/package/source/xstor/xstorage.cxx:<unknown>:3177;

I queried a Web search engine and found some other users reporting a similar error but did not find a solution.

I tried to install LibreOffice 3.6.7.2 (for Win32 because I could not find a Win64 build), which seems to be the last LibreOffice 3.x release, from the official MSI file but it refused to install unless I first uninstall LibreOffice 5, which I do not want to do.

I downloaded the portable version of LibreOffice 3.6.7, X-LibreOffice_3.6.7_rev15 , from the referenced page and extracted the archive file to a subdirectory of my Downloads directory.  This build is for Win32 too because I could not find a Win64 build of LibreOffice 3.x .  This version of LibreOffice Base runs but fails similarly to Apache OpenOffice Base when trying to switch to Tables in contacts.odb:

The connection to the data source "contacts" could not be established.

SQL Status: S1000
Error code: -40

General error: org.hsqldb.lib.FileSystemRuntimeException: java.io.IOException: C:/onegit/package/source/xstor/xstorage.cxx:3172:

In both Apache OpenOffice Base and X-LibreOffice_3.6.7_rev15 Base, I can open test.odb and switch to all of the modes on the left, including Tables, without any apparent failure but test.odb does not contain any tables because test.odb is an empty database for testing.

I wonder if there is a problem with the JRE, since the commonality in all of these configurations on both incubus and now incubus64 is that the JRE used is the Sun/Oracle JRE.  If I wanted to spend more time on this problem, which I will admit has become less relevant to me because contacts.odb has become less relevant to me, I could try using a different JRE than the Sun/Oracle JRE.

Oh, I almost forgot to mention: I replaced the video card in incubus/incubus64 so that I could run Doom 4, not because of office software.  The previous video card had an ATI Radeon HD 3650 GPU;  the new video card has an nVidia GeForce GT 730 GPU.  Both cards are fanless PCI Express ×16 cards that are powered only by the slot on the motherboard;  neither card has an auxiliary power connector.
Comment 24 Brolin Empey 2016-11-30 06:06:21 UTC
My other reason for replacing the video card in incubus/incubus64 was to see if I could use a 4k UHD-capable video controller because I was interested in upgrading from a 1920×1200 display (flat-panel video monitor) to a 4k UHD display (flat-panel video monitor).

I do not know if it is related to this issue with LibreOffice Base inclusive-or possibly the JRE but Winamp is another application that often does not survive switching between the video console and an RDP session.  Interestingly, Winamp does not use Java.
Comment 25 QA Administrators 2017-12-01 11:55:14 UTC Comment hidden (obsolete)
Comment 26 Brolin Empey 2017-12-17 10:05:31 UTC
I upgraded to LibreOffice version 5.4.3.2 on both incubus64 and succubus but I cannot test after upgrading LibreOffice because now my incubus64 installation of Windows 10 is broken similarly to my incubus installation of Windows 7, specifically incubus64 is now firewalled and cannot be remotely accessed from elsewhere on the same LAN, never mind from off site.
Comment 27 QA Administrators 2019-06-05 02:53:58 UTC
Dear Brolin Empey,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug